# Word Count

WordPress word count utility.

## Installation

Install the module

```bash
npm install @wordpress/wordcount --save
```

_This package assumes that your code will run in an **ES2015+** environment. If you're using an environment that has limited or no support for ES2015+ such as lower versions of IE then using [core-js](https://github.com/zloirock/core-js) or [@babel/polyfill](https://babeljs.io/docs/en/next/babel-polyfill) will add support for these methods. Learn more about it in [Babel docs](https://babeljs.io/docs/en/next/caveats)._

## API

<!-- START TOKEN(Autogenerated API docs) -->

<a name="count" href="#count">#</a> **count**

Count some words.

_Usage_

```js
import { count } from '@wordpress/wordcount';
const numberOfWords = count( 'Words to count', 'words', {} )
```

_Parameters_

-   _text_ `string`: The text being processed
-   _type_ `WPWordCountStrategy`: The type of count. Accepts 'words', 'characters_excluding_spaces', or 'characters_including_spaces'.
-   _userSettings_ `WPWordCountUserSettings`: Custom settings object.

_Returns_

-   `number`: The word or character count.


<!-- END TOKEN(Autogenerated API docs) -->

<br/><br/><p align="center"><img src="https://s.w.org/style/images/codeispoetry.png?1" alt="Code is Poetry." /></p>
